Bug 24224 - Convert OpacNavBottom system preference to news block
Summary: Convert OpacNavBottom system preference to news block
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22880 24223 27451
Blocks: 26050
  Show dependency treegraph
 
Reported: 2019-12-11 19:19 UTC by Owen Leonard
Modified: 2021-11-11 12:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 24224: Convert OpacNavBottom system preference to additional content (50.84 KB, patch)
2021-11-05 11:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24224: Convert OpacNavBottom system preference to additional content (50.91 KB, patch)
2021-11-05 12:47 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-12-11 19:19:06 UTC
Building on 22318, the OpacNavBottom system preference should be converted to a Koha news block.
Comment 1 Jonathan Druart 2021-11-05 09:02:16 UTC
Can we rush this for 21.11? :)
Comment 2 Owen Leonard 2021-11-05 11:39:45 UTC
Created attachment 127360 [details] [review]
Bug 24224: Convert OpacNavBottom system preference to additional content

This patch builds on Bug 22318 to move the OpacNavBottom system
preference into the "Additional contents" system, making it possible to
have language- and library-specific content.

To test you should have some content in the OpacNavBottom system
preference. To make testing easier it's also a good idea to have content
in the OpacNav preference.

- Apply the patch and run the database update process.
- In the staff client, go to Tools -> HTML customizations and verify
  that the content from OpacNavBottom is now stored there. When you
  edit the entry you should see content from the OpacNavBottom system
  preference under the "default" tab.
  - The publication date for the entry should be today's date.
  - Confirm that the previous contents of OpacNavBottom were added
    correctly.
- Go to Administration -> System preferences -> OPAC and verify that
  the OpacNavBottom preference has been removed.
- Update and reinstall active translations (for instance fr-FR):
  - cd misc/translator/
  - perl translate update fr-FR
  - perl translate install fr-FR
- View the OPAC and confirm that the contents of the OpacNavBottom
  system preference displays in the left-hand sidebar.
- Test as many pages as possible to confirm that wherever the
  OpacNavBottom content is displayed, OpacNavBottom is also displayed.
- Test also using the updated translation.
Comment 3 Martin Renvoize 2021-11-05 12:47:56 UTC
Created attachment 127363 [details] [review]
Bug 24224: Convert OpacNavBottom system preference to additional content

This patch builds on Bug 22318 to move the OpacNavBottom system
preference into the "Additional contents" system, making it possible to
have language- and library-specific content.

To test you should have some content in the OpacNavBottom system
preference. To make testing easier it's also a good idea to have content
in the OpacNav preference.

- Apply the patch and run the database update process.
- In the staff client, go to Tools -> HTML customizations and verify
  that the content from OpacNavBottom is now stored there. When you
  edit the entry you should see content from the OpacNavBottom system
  preference under the "default" tab.
  - The publication date for the entry should be today's date.
  - Confirm that the previous contents of OpacNavBottom were added
    correctly.
- Go to Administration -> System preferences -> OPAC and verify that
  the OpacNavBottom preference has been removed.
- Update and reinstall active translations (for instance fr-FR):
  - cd misc/translator/
  - perl translate update fr-FR
  - perl translate install fr-FR
- View the OPAC and confirm that the contents of the OpacNavBottom
  system preference displays in the left-hand sidebar.
- Test as many pages as possible to confirm that wherever the
  OpacNavBottom content is displayed, OpacNavBottom is also displayed.
- Test also using the updated translation.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-11-05 12:48:41 UTC
This looks great.. signing off.

One query.. 

koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-holdshistory.tt

That adds OpacNav too here.. shouldn't that have been caught in the dependency bug already?
Comment 5 Jonathan Druart 2021-11-08 10:34:12 UTC
(In reply to Martin Renvoize from comment #4)
> This looks great.. signing off.
> 
> One query.. 
> 
> koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-holdshistory.tt
> 
> That adds OpacNav too here.. shouldn't that have been caught in the
> dependency bug already?

Yes, line will be moved on push.
Comment 6 Jonathan Druart 2021-11-08 11:19:31 UTC
Pushed to master for 21.11, thanks to everybody involved!